Update Request Log
curl --request PATCH \
--url https://api.cyberdesk.io/v1/request-logs/{log_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status_code": 349,
"response_size_bytes": 1,
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 1,
"error_message": "<string>"
}
'import requests
url = "https://api.cyberdesk.io/v1/request-logs/{log_id}"
payload = {
"status_code": 349,
"response_size_bytes": 1,
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 1,
"error_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
status_code: 349,
response_size_bytes: 1,
completed_at: '2023-11-07T05:31:56Z',
duration_ms: 1,
error_message: '<string>'
})
};
fetch('https://api.cyberdesk.io/v1/request-logs/{log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"method": "<string>",
"path": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"machine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"status_code": 349,
"request_size_bytes": 1,
"response_size_bytes": 1,
"duration_ms": 1,
"error_message": "<string>",
"organization_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}request-logs
Update Request Log
Update a request log with response data.
This is typically called when a request completes to add the response details. Only the fields provided in the request body will be updated. The log must belong to a machine owned by the authenticated organization.
PATCH
/
v1
/
request-logs
/
{log_id}
Update Request Log
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Path Parameters
Body
application/json
Response
Successful Response
Request log response schema
Required string length:
1 - 255Required string length:
1 - 10Required range:
100 <= x <= 599Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Was this page helpful?